Xposed [framework & Installer] sur Oreo [Moto G5][Cedric] [8.1.0 STOCK]

chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Salut à tous,

Sur les conseils de lohanbarth, j'ouvre ce fil sur les problèmes rencontrés avec xposed depuis le passage à Oreo du Moto G5.

Mon besoin original est de faire fonctionner Gravity Box sur mon G5, chose qui ne posait aucun problème sur Nougat.
Lors de mon passage à Oreo, j'ai bien sûr tenté de reproduire la même configuration.
Malheureusement, je constate que le Xposed n'est pas encore compatible avec Oreo.
Le Framework 90-2 beta3 (SDK27) a pourtant l'air d'être sorti pour ça, et flasher le zip par TWRP n'avait apparemment rien fait au système, mais il suffit de consulter les tutos pour savoir qu'il n'était probablement pas actif ainsi.
C'est en installant le xposed Installer 3.1.5 que cela ne s'est pas bien passé du tout, alors que là aussi, cette version est sensée être un fix pour les dernières ROM: le moto G5 restait en boot loop au redémarrage.

En tentant de lever les doutes, je retrouve exactement les mêmes versions dans les modules proposés au téléchargement par Magisk, ce qui aurait pourtant tendance à me mettre en confiance.
En lisant plus précisément le tuto de xda sur le sujet xposed pour Oreo, j'ai compris que pour ne pas faire subir un boot loop au moto G5 avec ce xposed, il faut désactiver un certain dm-verity pour laisser le module pouvoir modifier les partitions. Je reconnais là une cause possible des problèmes que j'ai rencontrés.
En réfléchissant à comment modifier cette protection sur le moto G5, je me rends compte que j'ai déjà flashé le fichier 'no-verity-opt-encrypt-5.1.zip ' lors du root de mon moto G5, et je ne comprends finalement pas pourquoi l'installation du xposed installer 3.1.5 se solde par un boot loop sur mon G5...

Cela ne me dispensera pas de faire un backup du système avant, mais j'attends une explication avant une autre tentative d'installer xposed et gravity box sur mon G5 Oreo. Merci !
 
chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Pour faire suite à ce fil, j'ai donc tenté de télécharger le xposed à partir de Magisk (18.0 je précise) pour voir.
J'ai installé l'installer depuis Magisk manager, qui m'avertit que le 'module' sera actif au redémarrage.
Je lance donc, le redémarrage se passe bien, mais se montre plus long, signe que le module s'installe.
Tout est stable à l'issue, le xposed installer est présent dans mes applis sauf qu'à l'ouverture de celui-ci, j'ai un avertissement : le "module n'est pas (encore) compatible d'Oreo 8.1.0" (je n'ai pas encore flashé le module dans le recovery).
Plus inquiétant, je me rends compte que Magisk m'a chargé la version 3.1.4, donc moins à jour et donc incompatible de mon système.
(Le comble, c'est qu'en consultant les notes du SDK27 disponible dans les téléchargements Magisk, le commentaire de Rovo89 recommande de charger l'installer 3.1.5)
Donc désinstallation illico, redémarrage (toujours stable), et retour à la case départ !!!
 
Dernière édition:
spat

spat

Modérateur de secteur
Inscrit
27 Décembre 2012
Messages
6 075
Points
113
Hello,
Pour xposed, les versions différent selon l'architecture logicielle ton téléphone :
Arm
Arm64
X86

Pour le sdk, 27 c'est bon, assurés toi de bien prendre la dernière version

S'il vous plaît, Connexion ou S'inscrire pour voir le contenu ou les urls !


A+
 
chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Merci pour cette confirmation, qui me rassure je le reconnais...
Comment confirmer l'architecture du téléphone justement ? C'est peut-être ça que j'ai négligé lors de mes problèmes.
As-tu le G5 ? (ou vu passer dans tes mains...?)
 
spat

spat

Modérateur de secteur
Inscrit
27 Décembre 2012
Messages
6 075
Points
113
Hello,
Je n'ai pas le téléphone mais je suis quasi sur que c'est du arm, regarde dans à propos, ça doit apparaître.
A+
 
chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Hello,
Je n'ai pas le téléphone mais je suis quasi sur que c'est du arm, regarde dans à propos, ça doit apparaître.
A+
Déjà tenté (avant de poser la question), je n'ai pas trouvé où ça peut apparaître.
Je vais donc passer à une recherche sur le net, ou tenter la solution proposée par texas2607.
@+
 
spat

spat

Modérateur de secteur
Inscrit
27 Décembre 2012
Messages
6 075
Points
113
Re

La soluce de Texas te donnera la réponse
 
chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Au résultat donc : Droid info me donne du 'ARMv7l' (v7l) com:me architecture pour le moto G5.
Merci à vous deux. Je vais donc faire attention à ce que je charge tant pour l'installer que le SDK, et je reviendrai vous dire.
 
chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Décidément, malgré toutes les précautions, mon Moto G5 se retrouve à nouveau en boot loop.
J'avais installé l'apk installer, qui me disait bien que le framework n'était pas installé.
Première tentative avec Magisk pour le framework systemless, qui me propose de redémarrer : résultat = bootloop.
Tentative suivante par TWRP, puisque je n'ai plus que ça de disponible : flash du zip, et même sentence.
Je suis donc en train de restaurer mon système par TWRP (je n'avais pas chargé le zip uninstaller au préalable, et ne peux plus le faire au boulot, dommage) et j'en ai MARRE !!!
Heureusement, j'avais fait une sauvegarde avec Titanium hier soir...
 
spat

spat

Modérateur de secteur
Inscrit
27 Décembre 2012
Messages
6 075
Points
113
Pour commencer, bonjour (je te demanderai de faire de même )

Désolé que tes différentes tentatives n'aient rien donné.
La version oreo de xposed se montre capricieuse parfois. Le dev a mis un temps fou à la sortir et j'ai rencontre ce type de soucis.
Je fus un utilisateur mais ce n'est plus le cas du fait de certaines incompatibilités avec Magisk.
Alors, si j'étais toi, je ferais un point sur ce que j'utilise vraiment dans xposed et ne le ré-installerai pas pour être sûr d'avoir un téléphone qui fonctionne normalement.

A+
 
chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Pour commencer, bonjour (je te demanderai de faire de même )
Désolé d'avoir zappé ce qui est pourtant mon habitude : salut à tous !!!

Alors, si j'étais toi, je ferais un point sur ce que j'utilise vraiment dans xposed et ne le ré-installerai pas pour être sûr d'avoir un téléphone qui fonctionne normalement.
A+
Justement, le point est vite fait. Comme je le disais ci-dessus, c'est pour utiliser Gravitybox, qui me rend pas mal de services.
Certains sont de la pure cosmétique (indicateur batterie par exemple), mais d'autres sont vraiment la pratique de fonctionnement, du genre ajouter l'activation GPS dans les paramètres rapides, étendre le menu démarrage,...
 
chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Concernant les incompatibilités avec Magisk, qu'est-ce que je risque à installer plutôt la version 3.1.4 de l'installer que Magisk propose justement, mais le SDK27 pour le framework ?
Je n'ai toujours pas compris à quoi je dois le boot loop lorsque j'essaie de compléter l'installation : l'installer 3.1.5 ou le framework systemless ou non ?

Ou alors, je pense à une autre alternative : puisque Magisk propose tous les SDK en téléchargement, ne serait-il pas capable d'installer lui-même en systemless le SDK27, et fournir ainsi le minimum pour faire fonctionner Gravity Box ?
J'avoue que je préfère faire une pause aujourd'hui, après mon restore, avant de me relancer dans des tests...
 
Dernière édition:
spat

spat

Modérateur de secteur
Inscrit
27 Décembre 2012
Messages
6 075
Points
113
Re,
Via Magisk, le dev te propose de télécharger sa version modifiée de l'apk :
S'il vous plaît, Connexion ou S'inscrire pour voir le contenu ou les urls !


Mais oui essai comme ça.
A+
 
chrisvall

chrisvall

Membre
Inscrit
6 Janvier 2013
Messages
75
Points
6
Bonjour à tous,

Retour comme je l'ai promis (j'y tiens de plus...) : j'abandonne xposed moi aussi.
En tentant une nouvelle install avec les fichiers modifiés indiqués ci-dessus, et en faisant attention d'installer le framework depuis Magisk, le redémarrage semblait aller plus loin mais je me retrouve finalement en boot loop.
J'avais pris soin cette fois de disposer du dernier uninstaller sur carte SD, que j'ai flashé depuis le recovery, mais rien n'y a fait : j'étais toujours en boot loop.
Je viens donc de faire un nouveau restore, alors comme je connais plus marrant comme passe temps, jai décidé d'abandonner xposed.
Je me prive du coup de tous les avantages de Gravity Box.
Si quelqu'un sait informer le(s) développeur(s) de xposed de mes déboires avec son(leur) bébé et OREO 8.1, merci de transmettre.
Pour ma part, je suis "vacciné" pour quelques temps...
 
spat

spat

Modérateur de secteur
Inscrit
27 Décembre 2012
Messages
6 075
Points
113
Hello Chrisvall,

Dommage que tu n'ai pas pu le faire fonctionner.
Je regarderai sur xda si possible.
A+
 
lohanbarth

lohanbarth

Moderateur Global
Inscrit
8 Novembre 2011
Messages
16 895
Points
48
Hello, les G5 sont compliqués, car le kernel support les de architectures arm et arm64, perso sur une stock j'ai essayé ce Weekend et c'est quasiment impossible sauf avec un kernel modifier ou un custom en 64bits
 
Fabiodebarra

Fabiodebarra

Membre
Inscrit
27 Mars 2019
Messages
1
Points
1
boa solução é criptografar o telefone em configurações de segurança com bateria acima de 80%. Depois da criptografia podera instalar o xposed via twrp e não ficara em boot infinito!
 
spat

spat

Modérateur de secteur
Inscrit
27 Décembre 2012
Messages
6 075
Points
113
boa solução é criptografar o telefone em configurações de segurança com bateria acima de 80%. Depois da criptografia podera instalar o xposed via twrp e não ficara em boot infinito!
Salut merci de faire un effort sur ce forum francophone
 

Haut Bas